globus_net_manager(3)

NAME
globus_net_manager - Net Manager API.

SYNOPSIS

  Modules

Attributes
Net Manager Attribute Management Functions.
Context
Net Manager Context Management Functions.
Net Manager Data Types
Net Manager Data Types.
Function Signatures
Net Manager Function Signatures.
Python Module
Net Manager Python Module.
Globus XIO Net Manager Driver
Net Manager XIO Driver.

  Macros

#define GLOBUS_NET_MANAGER_MODULE
Module descriptor.

  Functions

globus_result_t globus_net_manager_register (globus_net_manager_t *manager, globus_module_descriptor_t *module)
Register a network manager.
globus_result_t globus_net_manager_unregister (globus_net_manager_t *manager)
Unregister a network manager.

Detailed Description

Net Manager API.

This API defines the plug-in points for network manager functionality, as well as functions for registering a particular network manager implementation so that it can be invoked during network events.

To implement a network manager, define a struct globus_net_manager_s with the functions you want called, and register it by calling globus_net_manager_register(). More details are included in globus_net_manager_tutorial

Macro Definition Documentation

  #define GLOBUS_NET_MANAGER_MODULE

Module descriptor. The Globus Net Manager uses Grid Community Toolkit module activation and deactivation. Before any Net Manager functions can be called, the module must be activated, like this:

globus_module_activate(GLOBUS_NET_MANAGER_MODULE);

This function returns GLOBUS_SUCCESS if the library is successfully initialized. Otherwise, an error code is returned, and Net Manager functions should not be subsequently called.

Activations are reference counted, so it is safe to activate the module multiple times or in different modules.

To deactivate Net Manager, call

globus_module_deactivate(GLOBUS_NET_MANAGER_MODULE);

This function should be done once for each time the Net Manager was activated.

Function Documentation

  globus_result_t globus_net_manager_register (globus_net_manager_t * manager, globus_module_descriptor_t * module)

Register a network manager. The globus_net_manager_register() function adds this network manager to those which will be called by the network manager interface when network events occur. This is typically called by the network manager when its module is activated.

Parameters
    manager Manager information to register.
    module Module descriptor to register. Use GlobusExtensionMyModule(module name)

  globus_result_t globus_net_manager_unregister (globus_net_manager_t * manager)

Unregister a network manager. The globus_net_manager_unregister() function removes this network manager from those which will be called by the network manager interface when network events occur. This is typically called by the network manager when its module is deactivated.

Parameters
    manager Manager information to unregister.

Author

Generated automatically by Doxygen for globus_net_manager from the source code.